# std::exception Class Reference

Base class for all library exceptions. More...

Inheritance diagram for std::exception:

[legend]
List of all members.

## Public Methods

virtual const char * | what () const throw ()

## Detailed Description

Base class for all library exceptions.

This is the base class for all exceptions thrown by the standard library, and by certain language expressions. You are free to derive your own exception classes, or use a different hierarchy, or to throw non-class data (e.g., fundamental types).

Definition at line 50 of file exception.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented in std::logic_error, and std::runtime_error.

The documentation for this class was generated from the following file:

- exception